<?php
!defined('IN_ONEZ') && exit('Access Denied');
$A['title']='我的积分';
$option=$G['this']->option();
$bg=$option['credit_bg'];
!$bg && $bg=$this->url.'/images/credit_bg.jpg';
$html='
<style>
.tmpl-userinfo{
  padding-top:5px;
}
.pictext2 p{
  white-space: inherit;
}

.userinfo-owner{
  text-align:center;
  display:block;
  background-image:url('.$bg.');
  background-size:cover;
  min-height:250px;
}
.userinfo-owner .text{
  text-align:center;
  position: relative;
  top: -8px;
}
.userinfo-owner .vipname{
  color:#ff958e;
}
.userhead .flex1{
  text-align:center;
}
.userhead h1{
  color:#ff6600;
  font-size:16px;
  font-weight:bold;
}
</style>
<div class="tmpl-userinfo userinfo-owner">
  <img class="avatar" src="'.onez('chat.group.common')->avatar($G['userid']).'" style="display: inline;">
  <div class="text">
    <p class="nickname" style="font-size:20px;color:#ff0">'.$this->value($G['userid']).'</p>
    <p class="vipname"></p>
    <p></p>
    <p class="sign"></p>
  </div>
</div>
';
$record[]=array(
  'type'=>'html',
  'html'=>$html,
);

$record[]=array(
  'type'=>'space',
  'height'=>'5',
);
$record[]=array(
  'type'=>'pictext',
  'name'=>'充值',
  'link'=>'1',
  'token'=>'page',
  'action'=>$this->action('charge'),
);
$record[]=array(
  'type'=>'pictext',
  'name'=>'提现',
  'link'=>'1',
  'token'=>'page',
  'action'=>$this->action('cash'),
);
$record[]=array(
  'type'=>'pictext',
  'name'=>'转账',
  'link'=>'1',
  'token'=>'page',
  'action'=>$this->action('turn2&type=search'),
);
$record[]=array(
  'type'=>'space',
  'height'=>'5',
);
$record[]=array(
  'type'=>'pictext',
  'name'=>'积分记录',
  'link'=>'1',
  'token'=>'page',
  'action'=>$this->action('creditlog'),
);
$record[]=array(
  'type'=>'space',
  'height'=>'5',
);